org.apache.catalina.tribes

## Interface ChannelInterceptor.InterceptorEvent

- All Known Implementing Classes:
    NonBlockingCoordinator.CoordinationEvent
  Enclosing interface:
    ChannelInterceptor

      public static interface ChannelInterceptor.InterceptorEvent

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEventType()`
    `String` | `getEventTypeDesc()`
    `ChannelInterceptor` | `getInterceptor()`

- - ### Method Detail

    - #### getEventType

          int getEventType()

    - #### getEventTypeDesc

          String getEventTypeDesc()

    - #### getInterceptor

          ChannelInterceptor getInterceptor()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.